
Foreman - Refactor #14178

Replace jnotify with patternfly toast notifications

03/14/2016 06:29 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: matan werbner   

Category: Web Interface   

Target version: 1.16.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4469

  

Description

jQuery.jnotify has been dead for a couple of years. We should replace it with Patternfly Toast Notifications

Related issues:

Related to Foreman - Bug #6865: Error notifications should not be popped up o... Rejected 07/31/2014

Related to Foreman - Bug #15137: Error notification stopped to show after goi... Closed 05/23/2016

Related to Foreman - Feature #4629: Add Patternfly support in foreman Closed 03/11/2014

Related to Foreman - Bug #19490: remove apache license Closed 05/09/2017

Related to Foreman - Refactor #37387: Drop unused typeToIcon function Closed

Has duplicate Foreman - Refactor #16292: move jnotify from vendor to npm Duplicate 08/25/2016

Blocks Katello - Refactor #18288: Updates to katello to use foreman toast not... Closed 01/27/2017

Associated revisions

Revision d91a0e4d - 05/08/2017 06:12 AM - Ohad Levy

fixes #14178 - introduce patternfly toast notifications

- replaces old jnoitfy with react implementation.

- Adds a notification store to handle events from

rails flash + legacy javascript Notice function and expose

an Action API to add notifications.

Revision 3186c78d - 05/08/2017 06:12 AM - Gail Steiger

fixes #14178 - introduce react patternfly toasts

Revision 68cd4bba - 05/08/2017 06:12 AM - matanw 

fixes #14178 - Introduce patternfly toast notifications

Revision 37cb517c - 05/08/2017 09:05 AM - Dominic Cleal

refs #14178 - add uuid dependency

History

#1 - 04/21/2016 03:42 AM - Tomer Brisker

- Related to Bug #6865: Error notifications should not be popped up on top menus added

#2 - 05/08/2016 09:06 AM - Gail Steiger

- Assignee set to Gail Steiger

#3 - 05/29/2016 05:31 AM - Tomer Brisker

- Related to Bug #15137: Error notification stopped to show after going to the same page added
https://www.givainc.com/labs/jnotify_jquery_plugin.cfm#revision
https://www.patternfly.org/patterns/toast-notifications/


#4 - 06/03/2016 06:42 AM - Daniel Lobato Garcia

Two places where these show up are when changing a setting to an invalid value on /settings, or when some action is done that modifies the

/dashboard

#5 - 11/08/2016 10:37 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4007 added

#6 - 01/18/2017 09:51 AM - Ohad Levy

- Related to Feature #4629: Add Patternfly support in foreman added

#7 - 01/25/2017 09:16 AM - Liza Gilman

- Assignee changed from Gail Steiger to Liza Gilman

#9 - 02/17/2017 10:08 AM - Walden Raines

- Blocks Refactor #18288: Updates to katello to use foreman toast notifications instead of bst-alert added

#10 - 02/19/2017 06:26 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/4300 added

#11 - 04/19/2017 10:09 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/4469 added

#12 - 05/08/2017 07:01 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d91a0e4d219560000c5cc9c145650bab2039ba3b.

#13 - 05/08/2017 07:35 AM - Tomer Brisker

- Assignee changed from Liza Gilman to matan werbner

- Pull request deleted (https://github.com/theforeman/foreman/pull/4300, https://github.com/theforeman/foreman/pull/4007)

#14 - 05/10/2017 07:28 AM - Dominic Cleal

- Has duplicate Refactor #16292: move jnotify from vendor to npm added

#15 - 05/10/2017 11:00 AM - Dominic Cleal

- Related to Bug #19490: remove apache license  added

#16 - 10/27/2017 07:47 PM - Marek Hulán

- translation missing: en.field_release set to 240

#17 - 04/25/2024 03:33 PM - Ewoud Kohl van Wijngaarden

- Related to Refactor #37387: Drop unused typeToIcon function added
